using MediatR;
using MediatrAPIEndpoints;

var builder = WebApplication.CreateBuilder(args);
builder.Services.AddMediatR(typeof(Program));
var app = builder.Build();

app.MapGet("/", async (int num1, int num2, IMediator mediator) =>
{
    string result = await mediator.Send(new AddTwoNumbersRequest() { Num1 = num1, Num2 = num2 }, default);
    return result;
});

app.Run();