﻿using MediatR;
namespace MediatrAPIEndpoints;

// Mediatr Request
public class AddTwoNumbersRequest : IRequest<string>
{
    public int Num1 { get; init; }
    public int Num2 { get; init; }
}

// Mediatr Request Handler
public class AddTwoNumbersRequestHandler : IRequestHandler<AddTwoNumbersRequest, string>
{
    public async Task<string> Handle(AddTwoNumbersRequest request, CancellationToken cancellationToken)
    {
        return $"You added {request.Num1} and {request.Num2}, the result is {request.Num1 + request.Num2}";
    }
}